Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`jid`.`JID``

class documentation

`class JID: (source)`

Constructor: `JID(str, tuple)`

View In Hierarchy

Represents a stringprep'd Jabber ID.

JID objects are hashable so they can be used in sets and as keys in dictionaries.

Method | `__eq__` | Equality comparison.
Method | `__hash__` | Calculate hash.
Method | `__init__` | Undocumented
Method | `__repr__` | Get object representation.
Method | `__unicode__` | Get unicode representation.
Method | `full` | Return the string representation of this JID.
Method | `userhost` | Extract the bare JID as a unicode string.
Method | `userhostJID` | Extract the bare JID.
Instance Variable | `host` | Undocumented
Instance Variable | `resource` | Undocumented
Instance Variable | `user` | Undocumented

def __eq__(self, other: `object`) -> `bool`: (source)

Equality comparison.

`JID`s compare equal if their user, host and resource parts all compare equal. When comparing against instances of other types, it uses the default comparison.

def __hash__(self): (source)

Calculate hash.

`JID`s with identical constituent user, host and resource parts have equal hash values. In combination with the comparison defined on JIDs, this allows for using `JID`s in sets and as dictionary keys.

def __init__(self, str: `str | None` = None, tuple: `tuple[str | None, str, str | None] | None` = None): (source)

Undocumented

def __repr__(self) -> `str`: (source)

Get object representation.

Returns a string that would create a new JID object that compares equal to this one.

def __unicode__(self): (source)

Get unicode representation.

Return the string representation of this JID as a unicode string.

See Also
`full`

def full(self): (source)

Return the string representation of this JID.

Returns
`str` | Undocumented

def userhost(self): (source)

Extract the bare JID as a unicode string.

A bare JID does not have a resource part, so this returns either `user@host` or just `host`.

Returns
`str` | Undocumented

def userhostJID(self): (source)

Extract the bare JID.

A bare JID does not have a resource part, so this returns a `JID` object representing either `user@host` or just `host`.

If the object this method is called upon doesn't have a resource set, it will return itself. Otherwise, the bare JID object will be created, interned using `internJID`.

Returns
`JID` | Undocumented

host = (source)

Undocumented

resource = (source)

Undocumented

user = (source)

Undocumented